
$server_url    = "http://www.turath.com";

@unwanted_files = ("Error(.*)html",

           "error(.*)html",
           "Test(.*)html",
           "Backup(.*)html",
           "Feedback(.*)html",
           "images(.*)html",
           "image(.*)html",
           "stats(.*)html",
           "archive(.*)html");
#
# The following are routines that print the HTML code related to
# various parts of the program.  You can edit the cosmetics of the
# program by altering the code below.  This means you can alter
# the cosmetics without directly altering the code in the
# actual search_engine.pl program.
#

############################################################
#
# subroutine: PrintHeaderHTML
#   Usage:
#     &PrintHeaderHTML;
#
#   Parameters:
#     None
#
#   Output:
#     Prints the HTML code for the header of the keyword
#     return results
#
############################################################

sub PrintHeaderHTML
{

print <<__HEADERHTML__;


<html dir="rtl">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1256">
<title> </title>
<STYLE TYPE="text/css">
<!--
A:link {
    COLOR: 585986;TEXT-DECORATION: none;FONT-SIZE:12px
}
A:visited {
    COLOR: green;TEXT-DECORATION: none;FONT-SIZE:12px
}
A:active {
    COLOR: red; TEXT-DECORATION: none;FONT-SIZE:12px
}
A:hover {
    COLOR: red; TEXT-DECORATION: underline;Font-size:12px;
    }
TD {
    font-family:MS Sans Serif,Times New Roman (Arabic),Tahoma (Arabic);
    font-style:normal; font-variant:normal; font-size:14px;}
    BODY    {FONT-FAMILY:MS Sans Serif;}
.ALL {CURSOR:hand;}

-->
</style>
</head>
<body background="_Img/BG1.gif" bgproperties="fixed" LEFTMARGIN=0 TOPMARGIN=0>
<TR><TD>
<TABLE BORDER="1" Width="100%" cellspacing="0" cellpadding="0" bordercolor="#2d8a58">
<!-- HEADER Table -->
<TR><TD>
<table border="0" cellspacing=0 cellpadding=0 width=100% bgcolor="#2d8a58">
<TR><TD>
<table cellspacing=0 cellpadding=0 border=0 width=60%><TR>
       <TD align="center"><A HREF="home.htm"
       STYLE="font-family:Tahoma (Arabic);font-size:13px;color:white"> </TD><TD width="1px">|</TD>
       <TD align="center"><A HREF="programs.htm"
       STYLE="font-family:Tahoma (Arabic);font-size:13px;color:white"> </A></TD><TD width="1px">|</TD>
       <TD align="center"><A HREF="contacts.htm"
       STYLE="font-family:Tahoma (Arabic);font-size:13px;color:white"> </A></TD><TD width="1px">|</TD>
       <TD align="center"><A HREF="aboutUs.htm#callus"
       STYLE="font-family:Tahoma (Arabic);font-size:13px;color:white"> </A></TD><TD width="1px">|</TD>
       <TD align="center"><A HREF="aboutUs.htm" STYLE="font-family:Tahoma (Arabic);font-size:13px;color:white"> </A></TD>
      </TD></TR></table></TD>
</TR>
<TR><TD colspan=9 bgcolor="#F7d878"><img src="_Img/points.gif"></TD></TR>
</table>
<P>&nbsp;
<!-- BODY TABLE -->
<table border="0" width="100%" cellspacing="3"
  cellpadding="3"><tr><td width="70%" valign="top">
  <Div align="center" style="font-family:Times New Roman;font-size:24px"><B>
  ......
</B></DIV>
__HEADERHTML__

} # End of PrintHeaderHTML

############################################################
#
# subroutine: PrintFooterHTML
#   Usage:
#     &PrintFooterHTML;
#
#   Parameters:
#     None
#
#   Output:
#     Prints the HTML code for the footer of the keyword
#     return results
#
############################################################

sub PrintFooterHTML
{
print <<__FOOTERHTML__;

</td><td width="30%" align="left" valign="top">
<table bordercolor="#2d8a58"
cellspacing="0" cellpadding="0" border="1" width="100%">
  <tr><td align="center" bgcolor="#2d8a58">
  <font color="white"> </font></td></tr>
  <tr><td align="center"><Iframe
src=new_prog.htm frameborder="0"width="100%" height="200px"></Iframe>
  </table>
</td></tr>
  </table>
<!-- Start About -->
<hr size="2" color="#2d8a58" width="400" align="center">
<div align="center"><center>
<span><A HREF="home.htm" target="_self"> </A> -
<A HREF="programs.htm" target="_self"> </A> -
<A HREF="contacts.htm" target="_self">  </A> -
<A HREF="aboutUs.htm" target="_self"> </A></span><table border="0"
cellspacing="0" cellpadding="0">
  <tr>
    <td rowspan="2" align="left"><Img
    src="_Imgs/copylogo.gif" border=0></Td>
    <td align="right"><font size="1">   2001 &copy;
        </font></td>
  </tr>
  <tr>
    <td align="center"><font size="1">&nbsp;Copyright 2001 All Turath Center Computer
    Research All Right Reserved</font></td>
  </tr>
  <tr>
    <td align="center" colspan="2"><font size="1">     
      <font color="red"> 600 * 800</font></font></td>
  </tr>
  </table>
</center></div>
<BR>
<!-- End About -->
</TD></TR>
</TABLE>  <!-- BIG TABLE-->
</body>
</html>

__FOOTERHTML__

} # End of PrintFooterHTML

############################################################
#
# subroutine: PrintNoHitsBodyHTML
#   Usage:
#     &PrintNoHitsBodyHTML;
#
#   Parameters:
#     None
#
#   Output:
#     Prints the HTML code for the body of the keyword
#     search if no results were found
#
############################################################

sub PrintNoHitsBodyHTML
{
    print <<__NOHITS__;


<div align="center" style="font-family:Times New Roman;font-size:22px;color:red"><B>
        <br>
   <br>
 </B></div>
<P>
__NOHITS__

} # End of PrintNoHitsBodyHTML

############################################################
#
# subroutine: PrintBodyHTML
#   Usage:
#     &PrintBodyHTML;
#
#   Parameters:
#     None
#
#   Output:
#     Prints the HTML code for the body of the keyword
#     search result set
#
############################################################


sub PrintBodyHTML
{
    local($filename, $title, $description) = @_;

print <<__BODYHTML__;
<! -- Print Result -->
<LI>
<A HREF="$server_url/$filename">$title</A>
</LI>
__BODYHTML__

} # End of PrintBodyHTML

############################################################
#
# subroutine: PrintNoKeywordHTML
#   Usage:
#     &PrintNoKeywordHTML;
#
#   Parameters:
#     None
#
#   Output:
#     Prints the HTML code for a form allowing the user
#     to enter a keyword since no keyword was alreay entered
#
############################################################

sub PrintNoKeywordHTML
{
print <<__NOKEYHTML__;

<div align="center">
<FORM METHOD="POST" ACTION="/cgi-bin/search_engine_turath.cgi" name="frmFind">
<table bordercolor="#2d8a58" cellspacing="0" cellpadding="0" border="1"
width="50%">
<tr><td align="center" bgcolor="#2d8a58"><font color="white"> </font>
</td></tr>
<TR><TD align="center" valign="center">
<input src="_Img/find.gif" type="image" align="absMiddle">&nbsp;&nbsp;
<input type="text" value=" " SIZE="15" NAME="keywords" MAXLENGTH="80">
<br><INPUT TYPE=checkbox NAME="exact_match">    
</TD></TR></table>
</FORM>
</div>

__NOKEYHTML__

} # End of PrintNoKeywordHTML